Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.jms.tx
Class TxState

    java.lang.Object
      org.jboss.jms.tx.TxState

All Implemented Interfaces:
  java.io.Externalizable, java.io.Serializable

public class TxState
extends java.lang.Object
implements java.io.Externalizable

Holds information for a JMS transaction to be sent to the server for processing. Holds the messages to be sent and the acknowledgements to be made for the transaction

Author:
  Serialized Form

Field Summary
`protected java.util.List` | `acks`
`protected java.util.List` | `messages`
`protected int` | `state`
`static byte` | `TX_COMMITED`
`static byte` | `TX_ENDED`
`static byte` | `TX_OPEN`
`static byte` | `TX_PREPARED`
`static byte` | `TX_ROLLEDBACK`

Constructor Summary
`TxState()`

Method Summary
`void` | `clearMessages()`
`java.util.List` | `getAcks()`
`java.util.List` | `getMessages()`
`int` | `getState()`
`void` | `readExternal(java.io.ObjectInput in)`
`void` | `setState(int state)`
`void` | `writeExternal(java.io.ObjectOutput out)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### TX_OPEN

    public static final byte TX_OPEN

See Also:
  Constant Field Values

### TX_ENDED

    public static final byte TX_ENDED

See Also:
  Constant Field Values

### TX_PREPARED

    public static final byte TX_PREPARED

See Also:
  Constant Field Values

### TX_COMMITED

    public static final byte TX_COMMITED

See Also:
  Constant Field Values

### TX_ROLLEDBACK

    public static final byte TX_ROLLEDBACK

See Also:
  Constant Field Values

### state

    protected int state

### messages

    protected java.util.List messages

### acks

    protected java.util.List acks

Constructor Detail

### TxState

    public TxState()

Method Detail

### getState

    public int getState()

### getMessages

    public java.util.List getMessages()

### getAcks

    public java.util.List getAcks()

### clearMessages

    public void clearMessages()

### setState

    public void setState(int state)

### writeExternal

    public void writeExternal(java.io.ObjectOutput out)
                       throws java.io.IOException

  Specified by:
    `writeExternal` in interface `java.io.Externalizable`
  Throws:
    `java.io.IOException`

### readExternal

    public void readExternal(java.io.ObjectInput in)
                      throws java.io.IOException,
                             java.lang.ClassNotFoundException

  Specified by:
    `readExternal` in interface `java.io.Externalizable`
  Throws:
    `java.io.IOException`
    `java.lang.ClassNotFoundException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006 JBoss Inc. All Rights Reserved.